Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QStyleOptionComplex Class Reference

The QStyleOptionComplex class is used to hold parameters that are common to all complex controls. More...

    #include <QStyleOptionComplex>

Inherits QStyleOption.

Inherited by QStyleOptionSlider, QStyleOptionSpinBox, QStyleOptionListView, QStyleOptionToolButton, QStyleOptionComboBox, and QStyleOptionTitleBar.

- List of all members, including inherited members

### Read-Only Properties

- activeSubControls : QStyle::SubControls
- subControls : QStyle::SubControls

- 5 read-only properties inherited from QStyleOption

### Public Functions

- QStyleOptionComplex ( int version = QStyleOptionComplex::Version, int type = SO_Complex )

- 1 public function inherited from QStyleOption

### Protected Functions

- QStyleOptionComplex ( int version )

## Detailed Description

The QStyleOptionComplex class is used to hold parameters that are common to all complex controls.

This class is not used on its own. Instead it is used to derive other complex control options, for example QStyleOptionSlider and QStyleOptionSpinBox.

## Property Documentation

### activeSubControls : QStyle::SubControls

This property holds the sub-controls that are active for the complex control.

This a bitwise OR of the various sub-controls that are active (pressed) for the complex control.

See also QStyle::SubControl.

### subControls : QStyle::SubControls

This property holds the sub-controls that need to be painted.

This is a bitwise OR of the various sub-controls that need to be drawn for the complex control.

See also QStyle::SubControl.

## Member Function Documentation

### QStyleOptionComplex::QStyleOptionComplex ( int version = QStyleOptionComplex::Version, int type = SO_Complex )

Constructs a QStyleOptionComplex of type type and version version. Usually this constructor is called by subclasses.

The subControls member is initialized to QStyle::SC_All. The activeSubControls member is initialized to QStyle::SC_None.

### QStyleOptionComplex::QStyleOptionComplex ( int version ) `[protected]`